* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#config {
    width: 30px;
    aspect-ratio: 1;
    position: absolute;
    top: 5px;
    right: 5px;
    border-radius: 5px;
    border: 1px solid gray;
    cursor: pointer;
    transition: all 200ms;

    & i {
        font-size: larger;
    }

    &:hover {
        background-color: #c0c0c0;
    }
}

#overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.6);
    backdrop-filter: blur(4px) grayscale(100%);
    z-index: 10;
    display: none;
}

#configScreen {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.9);

    background: #1e1e1e;
    color: white;
    padding: 25px 50px;
    border-radius: 12px;

    box-shadow: 0 0 40px rgba(0,0,0,0.7);

    z-index: 20;
    display: none;
    flex-direction: column;

    transition: 0.2s ease;

    & button {
        height: 25px;
        border-radius: 10px;
        border: none;
        cursor: pointer;
        transition: all 200ms;

        &:hover {
            background: #bbbbbb;
        }
    }
}

#game {
    display: none;
}

.div-choice {
    display: flex;
    height: 50dvh;
    align-items: center;
    justify-content: space-around;
}

.choice {
    height: 30px;
    width: 100px;
    border-radius: 5px;
    border: 1px solid black;
    cursor: pointer;
}

#tank {
    width: 50px;
    height: 30px;
    position: absolute;
}

#torre {
    display: flex;
    width: 100%;
    height: 55%;
}

#cano {
    background-color: #00e000;
    margin: auto;
    height: 9px;
    width: 40%;
    margin-left: -8px;
}

#cabeca {
    background-color: #00e000;
    height: 100%;
    width: 60%;
}

#corpo {
    background-color: green;
    height: 55%;
    width: 100%;
}

#inimigo {
    width: 50px;
    height: 30px;
    position: absolute;
    left: 200px;
    display: none;
}

#torrei {
    display: flex;
    width: 100%;
    height: 55%;
}

#canoi {
    background-color: #be0000;
    margin: auto;
    height: 9px;
    width: 40%;
    margin-left: -8px;
}

#cabecai {
    background-color: #be0000;
    height: 100%;
    width: 60%;
}

#corpoi {
    background-color: red;
    height: 55%;
    width: 100%;
}

#projetil {
    background-color: red;
    width: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    display: none;
}